Skip to main content

Redirect to service

POST{{server}}/api/v1/counter/redirect/service

This endpoint redirects the ticket to a selected service which can't be managed by the current clerk.

Request

  • ticket(string, required): The called ticket key.

  • tasks(string[], required): The key of the tasks under transaction.

  • service(string, required): Target service key

  • wasRealTransaction(boolean): Is it was a real transaction?

  • afterwork(boolean): If the afterwork is enabled for the current service, the clerk can decide whether want to afterwork on the ticket or not.

  • closingCodes(string|string[]): Optional one or more closing code keys

There is no response if it was successful.

Request​

Authorization​

HeaderValue
AuthorizationBearer {{counterToken}}

Headers​

KeyValue
Acceptapplication/json
X-WSID{{counterWsID}}

Body (json)​

{
"ticket": "{{ticketKey}}",
"tasks": [
"{{ticketTaskKey}}"
],
"service": "00000000-0000-4000-0007-000000000006",
"wasRealTransaction": true,
"closingCodes": null,
"afterwork": false
}

Code snippets​

curl -X POST '{{server}}/api/v1/counter/redirect/service' \
-H 'Accept: application/json' \
-H 'X-WSID: {{counterWsID}}' \
-H 'Authorization: Bearer {{counterToken}}' \
-H 'Content-Type: application/json' \
-d '{
"ticket": "{{ticketKey}}",
"tasks": [
"{{ticketTaskKey}}"
],
"service": "00000000-0000-4000-0007-000000000006",
"wasRealTransaction": true,
"closingCodes": null,
"afterwork": false
}'

Example​

Example request
POST{{server}}/api/v1/counter/redirect/service
Headers (2)
KeyValue
Acceptapplication/json
X-WSID{{counterWsID}}
Body
{
"ticket": "1906d4ba-ccac-4a1f-d8f9-a63962d6879a",
"tasks": [
"1906d4ba-cc9b-454b-75ab-abc57971fc21"
],
"service": "00000000-0000-4000-0007-000000000006",
"wasRealTransaction": true,
"closingCodes": null,
"afterwork": false
}
Example response 204 No Content
No response body